/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.prj1.jsf;

import com.mycompany.prj1.beans.Project;
import com.mycompany.prj1.ejb.ProjectDaoBean;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;
import org.apache.log4j.Logger;

/**
 *
 * @author thierry
 */
@Named
@RequestScoped
public class ProjectsController {

    private static final Logger logger = Logger.getLogger(ProjectsController.class);

    @EJB
    private ProjectDaoBean projectDaoBean;

    private List<Project> projects;

    @PostConstruct
    public void postConstruct() {
        logger.info("In post construct");
        getAllProjects();
    }

    public ProjectsController() {
        System.out.println("In ProjectsController");
        // logger.info("In ProjectsController");
//         getAllProjects();
    }

    public void getAllProjects() {
        if (projectDaoBean == null) {
            logger.info("!!!! projectDaoBean=null");
        }
        try {
            projects = projectDaoBean.getAllProjects();
            if (projects != null) {
                logger.info("Taille de projects=" + projects.size());
            } else {
                logger.info("Taille de projects=0");
            }
        } catch (Exception e) {
            e.printStackTrace();

        }

    }

    public List<Project> getProjects() {
        return projects;
    }

    public void setProjects(List<Project> projects) {
        this.projects = projects;
    }

}
